%define major	3
%define package_name gtkhtml
%define api_version 1.1
%define req_gal_version 0.24
%define lib_name %mklibname %{package_name} %{api_version} %{major}

Summary:	GtkHTML is a HTML rendering/editing library.
Name:		%{package_name}
Version: 	1.1.10
Release:	7mdk
License:	LGPL
Group:		Graphical desktop/GNOME

BuildRequires:	freetype2-devel
BuildRequires:	libGConf-devel >= 1.0.7
BuildRequires:	libbonobo-devel >= 0.32
BuildRequires:	libcapplet-devel
BuildRequires:	libgal-devel >= %{req_gal_version}
BuildRequires:	libghttp-devel
BuildRequires:	libglade-devel
BuildRequires:	libglibwww-devel
BuildRequires:	openssl-devel
BuildRequires:	texinfo
BuildRequires:	autoconf2.1 >= 2.13

Source0: 	ftp://ftp.gnome.org/pub/GNOME/unstable/sources/gtkhtml/%{package_name}-%{version}.tar.bz2
# (fc) 1.1.10-2mdk fix name of .gmo files
Patch0:		gtkhtml-1.1.10-gettext.patch.bz2
Patch1:		gtkhtml-1.1.10-gcc3.4.patch.bz2
Patch2:		gtkhtml-1.1.10-gcc4.patch.bz2
Patch3:		gtkhtml-1.1.10-libtool.patch.bz2
URL:		ftp://ftp.gnome.org/pub/GNOME/unstable/sources/gtkhtml/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description 
GtkHTML is a HTML rendering/editing library.  GtkHTML is
not designed to be the ultimate HTML browser/editor: instead, it is
designed to be easily embedded into applications that require
lightweight HTML functionality.

GtkHTML was originally based on KDE's KHTMLW widget, but is now
developed independently of it.  The most important difference between
KHTMLW and GtkHTML, besides being GTK-based, is that GtkHTML is also
an editor.  Thanks to the Bonobo editor component that comes with the
library, it's extremely simple to add HTML editing to an existing
application.

%package -n %{lib_name}
Summary:        Libraries for GtkHTML
Group:          System/Libraries
Requires: gal >= %{req_gal_version}

%description -n %{lib_name}
GtkHTML is a HTML rendering/editing library.  GtkHTML is
not designed to be the ultimate HTML browser/editor: instead, it is
designed to be easily embedded into applications that require
lightweight HTML functionality.

This package contains libraries used by GtkHTML.

%package -n %{lib_name}-devel
Summary:        Development libraries, header files and utilities for GtkHTML
Group:          Development/GNOME and GTK+
Requires:       %{lib_name} = %{version}-%{release}
Provides:		lib%{package_name}%{api_version}-devel = %{version}-%{release}
Provides:		lib%{package_name}-devel = %{version}-%{release}
Provides:		%{package_name}-devel = %{version}-%{release}
Requires:		gal-devel >= %{req_gal_version}
Requires:		libglade-devel
Requires:		GConf-devel
Requires:		libbonobo-devel
Obsoletes:		%{package_name}-devel

%description -n %{lib_name}-devel
GtkHTML is a HTML rendering/editing library.  GtkHTML is
not designed to be the ultimate HTML browser/editor: instead, it is
designed to be easily embedded into applications that require
lightweight HTML functionality.

This package contains the files necessary to develop applications with GtkHTML.

%prep
%setup -q -n %{package_name}-%{version}
%patch0 -p1 -b .gettext
%patch1 -p1 -b .gcc
%patch2 -p1 -b .gcc4
%patch3 -p1 -b .libtool
autoconf

%build

%configure2_5x --with-gconf --with-bonobo
%make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%makeinstall_std

mkdir -p $RPM_BUILD_ROOT%{_menudir}

cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/gtkhtml-properties-capplet" \
 needs="gnome" section="Configuration/GNOME" title="HTML Viewer" \
 longtitle="HTML Viewer properties" icon="%{_datadir}/gtkhtml-1.1/icons/html-viewer.png" startup_notify="false"
EOF

%{find_lang} %{package_name}-%{api_version}

# remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/bonobo/plugin/*.{la,a}

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post -n %{name}
%{update_menus}

%postun -n %{name}
%{clean_menus}

%post -p /sbin/ldconfig -n %{lib_name}
%postun -p /sbin/ldconfig -n %{lib_name}

%files -f %{package_name}-%{api_version}.lang -n %{name}
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%{_bindir}/*
%{_libdir}/bonobo/plugin/*.so
%{_datadir}/gtkhtml-%{api_version}
%{_datadir}/gnome/apps/Settings/Documents/*.desktop
%{_datadir}/gnome/ui/*
%{_datadir}/control-center/*/*.desktop
%{_datadir}/oaf/*
%{_menudir}/*

%files -n %{lib_name}
%defattr(-, root, root)
%doc AUTHORS COPYING 
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-, root, root)
%{_libdir}/*a
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_datadir}/gnome/html/*

%changelog
* Mon Aug 22 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.1.10-7mdk
- gcc4 & libtool fixes

* Mon Jun 28 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.1.10-6mdk
- patch to build with gcc 3.4

* Fri May 14 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.10-5mdk
- Rebuild

* Tue Apr 22 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.1.10-4mdk
- Fix devel dependencies

* Tue Apr 15 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.1.10-3mdk
- Recompiled against latest gal
- Fix gal dependency..

* Tue Apr  8 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.1.10-2mdk
- Patch0: fix name of .gmo files

* Tue Apr  8 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.1.10-1mdk
- Release 1.1.10

* Sat Feb  8 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.8-2mdk
- Recompiled against gal 0.23 (grr, this one should be ABI compatible 
  with older version but it isn't)

* Fri Feb  7 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.8-1mdk
- Release 1.1.8

* Mon Dec 16 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.7-1mdk
- Release 1.1.7

* Tue Dec  3 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.6-2mdk
- Fix icon path

* Thu Nov  7 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.6-1mdk
- Release 1.1.6

* Wed Nov  6 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.5-1mdk
- Release 1.1.5
- Remove patch0 (merged upstream)

* Wed Aug 21 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.4-4mdk
- Patch0 (CVS): fix bug in finding the right font for a particular size

* Mon Jul 22 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.4-3mdk
- Fix menu entry

* Wed Jun 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.4-2mdk
- Fix dependencies

* Fri Jun 14 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.4-1mdk
- Release 1.0.4

* Tue May  7 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.3-1mdk
- Release 1.0.3

* Mon Mar 25 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-1mdk
- Release 1.0.2
- Remove patch0 (merged upstream)

* Thu Mar 14 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0.1-4mdk
- added basque translations

* Thu Feb 21 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-3mdk
- Patch0 (CVS): fix locking with some strange image type

* Mon Jan 14 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-2mdk
- Grr, really remove dependency on old gal package

* Mon Jan 14 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-1mdk
- Release 1.0.1

* Tue Jan  8 2002 Stefan van der Eijk <stefan@eijk.nu> 1.0.0-4mdk
- Put back versioned BuildRequires

* Sat Jan  5 2002 Stefan van der Eijk <stefan@eijk.nu> 1.0.0-3mdk
- BuildRequires

* Thu Jan  3 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.0-2mdk
- Recompiled against latest libcapplet

* Mon Dec  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.0-1mdk
- Release 1.0.0
- Remove patch0 (merged upstream)

* Mon Nov 19 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.16.1-1mdk
- Release 0.16.1
- Remove patch0 (merged upstream)
- Patch0: fix compilation with GConf

* Fri Nov  9 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.16.0-4mdk
- Rebuild against latest libglade

* Thu Nov  8 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.16.0-3mdk
- Patch0: fix crash in Evolution with iso8859-15 font

* Thu Nov  8 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.16.0-2mdk
- Remove dependency on gnome-control-center

* Thu Nov  8 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.16.0-1mdk
- Release 0.16.0
- Fix license

* Fri Oct 26 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.15.0-2mdk
- Rebuild against GConf 1.0.6-3mdk
- Recompiled against latest gnomeprint

* Mon Oct 22 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.15.0-1mdk
- Release 0.15

* Sun Oct 21 2001 Stefan van der Eijk <stefan@eijk.nu> 0.13.0-3mdk
- BuildRequires: libxml-devel

* Mon Oct 08 2001 Stefan van der Eijk <stefan@eijk.nu> 0.13.0-2mdk
- BuildRequires:  openssl-devel xml-i18n-tools
- Removed redundantBuildRequires

* Thu Sep 27 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.13.0-1mdk
- Release 0.13.0
- Compiled against libgal12
- Remove patch0 (merged upstream)

* Thu Aug 30 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12.0-1mdk
- Release 0.12.0
- Patch0: fix for 64bits arch

* Wed Aug 22 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.1-3mdk
- Grr, recompiled again, gtkhtml still have dependency on old libgal

* Wed Aug 22 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.1-2mdk
- Remove duplicate entry in control center
- Recompiled against libgal11

* Fri Aug  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.1-1mdk
- Release 0.11.1
- Rename source package again
- Clean specfile
- Compiled against libgal9

* Fri Aug  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10.1-2mdk
- Rename source package before new major version

* Wed Jul 18 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10.1-1mdk
- Release 0.10.1
- Rename source package again
- Remove patches 0 & 1 (merged upstream)
- compiled against latest gal

* Wed Jul 18 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.2-5mdk
- Rename source package before new major version
- Fix bad dependencies

* Thu Jul  5 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.2-4mdk
- Patch1: really work with libgal7

* Thu Jun 28 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.2-3mdk
- Really remove dependency with libgal.so.6

* Thu Jun 28 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.2-2mdk
- Recompiled against libgal.so.7

* Fri May 18 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.2-1mdk
- Release 0.9.2
- Change lib package name
- Patch0 : add missing includes

* Thu Apr 19 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.3-3mdk
- Rename source packag before new major version

* Fri Mar 16 2001 Francis Galiegue <fg@mandrakesoft.com> 0.8.3-2mdk

- BuildRequires: libghttp1-devel

* Thu Mar 15 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.3-1mdk
- Remove patch 0 (merged upstream)
- Release 0.8.3

* Wed Mar  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.2-4mdk
- Recompiled with latest glib/gtk/gnomeprint

* Thu Feb 15 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.2-3mdk
- Really remove dependency on libgal.so.3

* Thu Feb 15 2001  <fcrozat@bi.mandrakesoft.com> 0.8.2-2mdk
- Remove buildconflict on libxml2-devel
- Recompiled against latest gal

* Thu Feb  8 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.2-1mdk
- Release 0.8.2
- Remove patch 0 & 1 (merged upstream)
- New patch 0 : allow compilation by completly renaming GtkHTMLClassProperties struct members.
- Add missing locales

* Wed Jan 24 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-5mdk
- Add explicit dependency on GConf (libGConf1 is not enough)

* Wed Jan 24 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-4mdk
- Recompiled with oaf 0.6.2

* Tue Jan  2 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-2mdk
- Patch to compile with last version of bonobo
- Remove dependency on pspell (moved to gnome-spell package)
- Compiled with GConf support

* Fri Dec 15 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-1mdk
- Release 0.8
- Correct dependency

* Fri Dec 15 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7-4mdk
- Rename main package before upgrading (since next version is source
incompatible)

* Fri Dec  8 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7-3mdk
- Correct build requires until upstream has upgrade to new bonobo

* Wed Nov 15 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7-2mdk
- Rebuild with new gcc
- Split package

* Wed Oct 25 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7-1mdk
- Release 0.7
- add menu entry

* Mon Aug 28 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.1-1mdk
- Release 0.6.1 (merged from helix_3 package)
- compiled with pspell support

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.5-3mdk
- automatically added BuildRequires

* Wed Aug  2 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5-2mdk
- BM + macroszification
- compiled without gconf (since its API is not yet stable)
- added missing files for oaf/html-editor-component (needed for Evolution)

* Fri Jul 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.5-1mdk
- Packaged for Mandrake

